BusinessSystem (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.BusinessSystem interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys
Interface BusinessSystem

All Superinterfaces:
  ConfigurationItem, ITSystem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface BusinessSystem

extends ITSystem

Persistable:
  true
Top Level:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getBusinessImpact()`
`int` | `getBusinessPriority()`
`java.lang.String` | `getBusinessRole()`
`boolean` | `hasBusinessImpact()`
`boolean` | `hasBusinessPriority()`
`boolean` | `hasBusinessRole()`
`void` | `setBusinessImpact(java.lang.String impact)`
`void` | `setBusinessPriority(int priority)`
`void` | `setBusinessRole(java.lang.String role)`

Methods inherited from interface com.collation.platform.model.topology.sys.ITSystem
`getComponents, getContact, getContainingSystem, getName, getURL, hasComponents, hasContact, hasContainingSystem, hasName, hasURL, setComponents, setContact, setContainingSystem, setName, setURL`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getBusinessRole

    java.lang.String getBusinessRole()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBusinessRole

    void setBusinessRole(java.lang.String role)

### hasBusinessRole

    boolean hasBusinessRole()

### getBusinessImpact

    java.lang.String getBusinessImpact()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBusinessImpact

    void setBusinessImpact(java.lang.String impact)

### hasBusinessImpact

    boolean hasBusinessImpact()

### getBusinessPriority

    int getBusinessPriority()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBusinessPriority

    void setBusinessPriority(int priority)

### hasBusinessPriority

    boolean hasBusinessPriority()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD